首页 云计算

云安全日报210604:IBM应用服务器发现执行任意代码漏洞,需要尽快升级

IBM WebSphere Application Server(WAS)是美国IBM公司的一款应用服务器产品。该产品是JavaEE和Web服务应用程序的平台,也是IBMWebSphere软件平台的基础。在WAS安装部署Rational Asset Manager后,可以在分布式开发环境中有效管理和重用所有类型的资产。

6月3日,IBM发布了安全更新,修复了IBM WebSphere Application Server中发现的执行任意代码等重要漏洞。以下是漏洞详情:

漏洞详情

来源: https://www.ibm.com/support/pages/node/6458159

1.CVE-2020-4448 CVSS评分:9.8 严重程度:重要

IBM WebSphere Application Server Network Deployment 7.0、8.0、8.5 和 9.0 可能允许远程攻击者使用来自不受信任来源的特制序列化对象序列在系统上执行任意代码。

2.CVE-2020-4643 CVSS评分:7.5 严重程度:重要

IBM WebSphere Application Server 7.0、8.0、8.5 和 9.0 在处理 XML 数据时容易受到 XML 外部实体注入 (XXE) 攻击。远程攻击者可以利用此漏洞暴露敏感信息

3.CVE-2020-4575 CVSS评分:4.7 严重程度:重要

IBM WebSphere Application Server ND 8.5 和 9.0 以及 IBM WebSphere Virtual Enterprise 7.0 和 8.0 在配置高可用性部署管理器时容易受到跨站点脚本的攻击。

受影响产品和版本

IBM InfoSphere Master Data Management 11.6

IBM WebSphere Application Server versions 9.0

解决方案

对于传统的WebSphere Application Server和WebSphere Application Server Hypervisor Edition:

对于V9.0.0.0至9.0.5.3:·

根据临时修订要求升级到最低修订包级别,然后应用临时修订PH20847。-或-·应用修订包9.0.5.4或更高版本(目标可用性2Q2020)。

对于V8.5.0.0到8.5.5.17:·

根据临时修订要求升级到最低修订包级别,然后应用Interim Fix PH20847。-或-·应用修订包8.5.5.18或更高版本(目标可用性为3Q2020)。

对于V8.0.0.0到8.0.0.15:·

升级到8.0.0.15,然后应用Interim Fix PH20847。

对于V7.0.0.0到7.0.0.45:·

升级到7.0.0.45,然后应用Interim Fix PH20847。

查看更多漏洞信息 以及升级请访问官网:

https://www.ibm.com/blogs/psirt/

官方微博/微信

每日头条、业界资讯、热点资讯、八卦爆料,全天跟踪微博播报。各种爆料、内幕、花边、资讯一网打尽。百万互联网粉丝互动参与,TechWeb官方微博期待您的关注。

↑扫描二维码

想在手机上看科技资讯和科技八卦吗?

想第一时间看独家爆料和深度报道吗?

请关注TechWeb官方微信公众帐号:

1.用手机扫左侧二维码;

2.在添加朋友里,搜索关注TechWeb。

手机游戏更多